@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-Regular.ttf");
}

@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-Italic.ttf");
    font-style : italic;
}

@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-Bold.ttf");
    font-weight: bold;
}

@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-BoldItalic.ttf");
    font-weight: bold;
    font-style : italic;
}

@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-Medium.ttf");
    font-weight: bolder;
}

@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-MediumItalic.ttf");
    font-weight: bolder;
    font-style : italic;
}

@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-Light.ttf");
    font-weight: lighter;
}

@font-face {
    font-family: "Ubuntu";
    src        : url("fonts/Ubuntu-LightItalic.ttf");
    font-weight: lighter;
    font-style : italic;
}

@font-face {
    font-family: "Sabon LT Std";
    src        : url("fonts/sabonltstd-roman.otf");
}

@font-face {
    font-family: "Sabon LT Std";
    src        : url("fonts/sabonltstd-bold.otf");
    font-weight: bold;
}

@font-face {
    font-family: "Sabon LT Std";
    src        : url("fonts/sabonltstd-italic.otf");
    font-style : italic;
}

@font-face {
    font-family: "Sabon LT Std";
    src        : url("fonts/sabonltstd-bolditalic.otf");
    font-weight: bold;
    font-style : italic;
}

@font-face {
    font-family: "Raider Crusader";
    src        : url("fonts/raidercrusader.ttf");
    font-weight: normal;
    font-style : italic;
}

@font-face {
    font-family: "Raider Crusader";
    src        : url("fonts/raidercrusaderrotal.ttf");
    font-weight: normal;
    font-style : oblique;
}

@font-face {
    font-family: "Raider Crusader";
    src        : url("fonts/raidercrusadersemistraight.ttf");
    font-weight: normal;
    font-style : normal;
}

.Ubuntu(@weight: normal, @size: medium, @style: normal) {
    font-family: "Ubuntu";
    font-weight: @weight; // lighter, normal, medium, bolder, bold
    font-size  : @size; // small, smaller, medium, larger, large
    font-style : @style; // normal, italic
}

.SabonLT(@weight: normal, @size: medium, @style: normal) {
    font-family: "Sabon LT Std";
    font-weight: @weight;
    font-size  : @size;
    font-style : @style;
}

.RaiderCrusader(@weight: normal, @size: medium, @style: normal) {
    font-family: "Raider Crusader";
    font-weight: @weight;
    font-size  : @size;
    font-style : @style;
}

//Colours
@main-colour     : maroon;
@alt-colour      : black;
@accent-colour   : navajowhite;
@text-main-colour: black;
@text-alt-colour : silver;

@main-border-colour    : darkgoldenrod;
@melee-colour          : darkkhaki;
@ranged-colour         : lightcyan;
@attackmod-colour      : blue;
@damagemod-colour      : red;
@attackdamagemod-colour: purple;

.window-app {
    font-size: 10pt;

    .window-content {
        background      : none;
        background-color: darkgrey;
    }
}

.window-app.hnh.mnm {
    font-family: "Raider Crusader";
    font-size: 10pt;

    .window-content {
        background-image: url("images/sheetbackground.jpg");        
        background-size: 600px 800px;
        background-repeat: no-repeat;
    }
}

.open-journal:hover,
.rollable:hover,
.rollable:focus,
.minus:hover {
    color      : @text-main-colour;
    text-shadow: 0 0 10px red;
    cursor     : pointer;
}

.collapsible:hover {
    color      : red;
    text-shadow: 0 0 10px darkred;
    cursor     : pointer;
}

.plus:hover {
    color      : @text-main-colour;
    text-shadow: 0 0 10px green;
    cursor     : pointer;
}

.roundedcard {
    padding      : 3px;
    border       : 2px solid @main-colour;
    border-radius: 5px;
    margin       : 2px;
}

.rollablecard {
    .roundedcard();
    display              : grid;
    grid-template-columns: 1fr 32px 16px;
    justify-items        : center;
}

.attackcard {
    .roundedcard();
    display              : grid;
    grid-template-columns: 3fr 32px 1fr 16px;
    justify-items        : center;
}

.woundcard {
    .roundedcard();
    display              : grid;
    grid-template-columns: repeat(3, auto);
    justify-content      : space-evenly;
}

.roundedheader {
    .roundedcard();
    background-color: @alt-colour;
    color           : @text-alt-colour;
    text-align      : center;
    border          : 2px solid @alt-colour;
}

.small {
    background: none;
    border    : none;
    width     : auto;
    height    : auto;
    color     : @text-alt-colour;
}

.smallinput {
    .small();
}

.smallselect {
    .small();
    width: 18px;
}

.row2 {
    display           : grid;
    grid-template-rows: repeat(2, 1fr);
}

.col1 {
    display              : grid;
    grid-template-columns: repeat(1, 1fr);
}

.col2 {
    display              : grid;
    grid-template-columns: repeat(2, 1fr);
}

.col3 {
    display              : grid;
    grid-template-columns: repeat(3, 1fr);
}

.col4 {
    display              : grid;
    grid-template-columns: repeat(4, 1fr);
}

.radio-toolbar {
    label {
        .roundedheader();

        :hover {
            background-color: @alt-colour;
            border-color    : @main-colour;
            color           : @text-alt-colour;
        }
    }

    input[type="radio"] {
        opacity : 0;
        position: fixed;
        width   : 0;

        :checked+label {
            background-color: @main-colour;
            border-color    : @alt-colour;
            color           : @text-alt-colour;
        }
    }
}

.select {
    margin-left: 5px;

    option {
        background-color: darkgray;
        color           : @main-colour;
    }
}

input[type="checkbox"] {
    height: 12px;
    margin: 3px 0px 0px 0px;
}

img.result-image {
    max-width: 64px;
    max-height: 64px;
}